Package org.apache.sling.scripting.sightly.compiler.expression.nodes

## Interface Atom

All Superinterfaces:
  `ExpressionNode`

All Known Implementing Classes:
  `BooleanConstant`, `Identifier`, `NumericConstant`, `StringConstant`

    @ProviderType
    public interface Atom
    extends ExpressionNode

An `Atom` defines an `ExpressionNode` that can be translated to simple text, like identifiers or primitive constants (strings, booleans and numbers).

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getText()` Get the text content for this nodes

### Methods inherited from interface org.apache.sling.scripting.sightly.compiler.expression.ExpressionNode

`accept`

### Method Detail

#### getText

    String getText()

Get the text content for this nodes

Returns:
  the text content